Loading...
Searching...
No Matches
baseHipData Class Referenceabstract
Inheritance diagram for baseHipData:
Collaboration diagram for baseHipData:

## Public Member Functions

virtual void | InitVpb (unsigned short base)=0
virtual void | DspReset (unsigned short board)=0
virtual void | DspRun (unsigned short board)=0
virtual void | WriteDspSram (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)=0
virtual void | ReadDspSram (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)=0
virtual void | WriteIic (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)=0
virtual void | ReadIic (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)=0
virtual void | EeRead (unsigned short board, unsigned short addr, unsigned short length, uint16_t *buf)=0
virtual void * | GethndFile ()=0
virtual int | GetDeviceDriverModel ()=0
virtual void | InitVpb (USHORT base)=0
virtual void | DspReset (USHORT board)=0
virtual void | DspRun (USHORT board)=0
virtual void | WriteDspSram (USHORT board, USHORT addr, USHORT length, word *buf)=0
virtual void | ReadDspSram (USHORT board, USHORT addr, USHORT length, word *buf)=0
virtual void | WriteIic (USHORT board, USHORT addr, USHORT length, word *buf)=0
virtual void | ReadIic (USHORT board, USHORT addr, USHORT length, word *buf)=0
virtual void * | GethndFile ()=0
virtual int | GetDeviceDriverModel ()=0
virtual void | EeRead (USHORT board, USHORT addr, USHORT length, word *buf)=0